from editor.models import Accomplishment, Application, Category, Icon, AccomplishmentDiff
from django.contrib import admin


"""class StepInline(admin.TabularInline):
    model = Step
    extra = 5

class LinkInline(admin.TabularInline):
    model = Link
    extra = 2

class HelpInline(admin.TabularInline):
    model = Help
    extra = 2
"""

class AccomplishmentAdmin(admin.ModelAdmin):
    fieldsets = [
        ('General',         {'fields': ['application', 'descriptor', 'needsinformation', 'title', 'description', 'icon', 'needssigning', 'depends']}),
        ('Accomplishment Information',         {'fields': ['categories', 'summary', 'steps', 'links', 'helpres']}),
    ]
    #inlines = [StepInline, LinkInline, HelpInline]

admin.site.register(Accomplishment, AccomplishmentAdmin)
admin.site.register(Application)
admin.site.register(AccomplishmentDiff)
admin.site.register(Category)
admin.site.register(Icon)
