import ubuntu_website
from django.conf import settings
from django.conf.urls.defaults import patterns, include, url

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    #url(r'^$', 'accomplishmentseditor.views.home', name='home'),
    # url(r'^accomplishmentseditor/', include('accomplishmentseditor.foo.urls')),
    url(r'^editor/$', 'editor.views.index'),
    url(r'^editor/queue/$', 'editor.views.queue'),
    url(r'^editor/(?P<accom_id>\d+)/$', 'editor.views.detail'),
    url(r'^editor/(?P<accom_id>\d+)/edit/$', 'editor.views.edit'),
    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    #Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),
)


if settings.DEBUG or settings.SERVE_STATIC:
    urlpatterns += patterns('',
    (r'^ubuntu-website/media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': ubuntu_website.MEDIA_ROOT}),
)
